Patching the Sage X3 Runtime component in isolation

IMPORTANT UPDATE: April-2021: This document has been superceeded by the April 2021 technology patch updates and is therefore no longer up to date and is not being maintained going forward.  This blog article is only being retained for historical reference.   For information on the relevant technology stack versions that are currently certified, please refer to https://www.sagecity.com/gb/sage-x3-uk/f/sage-x3-uk-announcements-news-and-alerts/147993/sage-x3-latest-patches

Whilst it is possible to patch X3 technology components to a higher level, you do need to be more cautious when it comes to the Runtime component.  It is generally NOT recommended to patch the Runtime component to a higher version than the X3 patch level it was released with.  This is because there could be a dependency between the runtime and X3 patch level.   This recommendation applies to all Sage X3 versions, but Version 12 in particular has some specific changes with wide impact.

The exception to the above statement is when a runtime hotfix is released which is suitable for that particular X3 patch level, as per the tables below:

Version 12

Sage V12 patch level Runtime version at release Latest recommended runtime version
12.0.16 (2019 R1) 91.4.46 91.4.49
12.0.17 (2019 R2) 91.4.49 91.4.49
12.0.18 (2019 R3) 91.5.68 91.5.74
12.0.19 (2019 R4) 91.5.74 91.5.74
12.0.20 (2019 R5)* 92.1.91* 92.1.95
12.0.21 (2020 R1) 92.1.95 92.1.95
12.0.22 (2020 R2) 92.2.87 92.2.91
12.0.23 (2020 R3) 93.1.13 93.1.22
12.0.24 (2020 R4) 93.1.19 93.1.22
12.0.25 (2021 R1) 93.2.50 93.2.50

*2019 R5 (Runtime 92.1.91) the script archive mechanism (atx.ind) is no longer used and also changed to using 64-bit encoding of adx files

IMPORTANT: With V12 you MUST always apply the corresponding AdxAdmin component (same version number as the Runtime) when patching the Runtime.   It is recommended to also apply the latest X3 Console as part of this process.  You can find the latest versions for V12 listed on our Announcements web site

Version 11**

Sage V11 patch level Runtime version at release Latest recommended runtime version
11.0.3 80.001 80.001
11.0.4 80.001 80.001
11.0.5 80.001 80.001
11.0.6 80.001 80.001
11.0.7 80.001 80.001
11.0.8 80.003 80.003
11.0.9 80.003 80.003
11.0.10 80.003 80.003
11.0.11 80.003 80.003
11.0.12 80.003 80.003
11.0.13 80.003 80.003
11.0.14 80.003 80.003
11.0.15 80.003 80.003
11.0.16 81.004 81.004.809
11.0.17 81.004.809 81.004.809
11.0.18 81.004.809 81.004.809
11.0.19 81.004.809 81.004.809

** This information is also available in the V11 “PatchFinder” application.



I hope you find this information useful.

Anonymous